<template>
  <v-card>
    <v-card-title>Recuperar Contraseña</v-card-title>
    <v-card-text>
      <v-form v-model="valido">
        <v-text-field
          v-model="email"
          label="Correo"
          :rules="emailRules"
          required
        />
      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-spacer/>
      <v-btn :disabled="!valido" @click="recover">Recuperar</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'recover',
  data() {
    return {
      valido: false,
      email: '',
      emailRules: [
        v => !!v || 'Requerido',
        v => /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(v) || 'Ingresa un correo valido'
      ]
    }
  },
  methods: {
    recover() {
      this.$Parse.User.requestPasswordReset(this.email)
        .then(() => {
          this.$store.dispatch('showAlert', { type: 'success', msg: 'El correo fue enviado'})
        })
        .catch((error) => {
          this.$store.dispatch('showAlert', { type: 'error', msg: 'No fue posible enviar el correo'})
          console.error(error)
        })
    }
  }
}
</script>
